Dear Valued Client

Wordpress is urging webmasters to update their CMS packages as quickly as possible to protect their domains from critical vulnerability exploits.

More info: https://wordpress.org/news/2016/09/wordpress-4-6-1-security-and-maintenance-release/

Thank you for your cooperation,
Internet Solutions HK team

Monday, September 19, 2016

« Back